Subject: Re: [tcpm] I-D Action:draft-ietf-tcpm-ecnsyn-07.txt

From: Sally Floyd <[email-masked]>
Date: Wed, 05 Nov 2008 16:04:56 -0800

We have (finally) revised draft-ietf-tcpm-ecnsyn, on "Adding Explicit
Congestion Notification (ECN) Capability to TCP's SYN/ACK Packets",
and are finally ready for it to complete the standardization process.

Here is the story:

The draft had finished Working Group Last Call, and been forwarded
to the IESG for review.  As a final step in revising the draft
after the AD Evaluation, we (the authors) reran the simulations
with an updated version of the ns-2 simulator, and found that in
some highly congested scenarios, ECN+ would significantly increase
the packet drop rate even further.  (I am appending the 5/26/08
email below.)

In response to this, we have added a change to ECN+, which in
the new draft we call "ECN+/TryOnce".  With ECN+/TryOnce, when
an ECN-Capable SYN/ACK packet is ECN-marked, the TCP responder
sends another SYN/ACK packet that is not ECN-Capable, and also
reduces the initial window to one packet.  ECN+/TryOnce
shows most of the performance benefit of ECN+, and avoids the
problem of increasing the packet drop rate in times of high
congestion.

I think it makes sense to pass this through the working group
before going back to the IESG.  However, I won't be at IETF
in Minnesota, and am hoping that this can be done by email.

The new version of the draft is at:
"http://tools.ietf.org/html/draft-ietf-tcpm-ecnsyn-07",
and that web page also gives the differences with earlier
versions of the draft.  Any feedback would be appreciated.

Many thanks,
- Sally
http://www.icir.org/floyd/

Begin forwarded message:

> From: Lars Eggert <[email-masked]>
> Date: May 28, 2008 7:35:26 AM PDT
> To: ext Sally Floyd <[email-masked]>
> Cc: Mark Allman <[email-masked]>, Aleksandar Kuzmanovic <[email-masked] 
> >, "K. K. Ramakrishnan" <[email-masked]>, Ted Faber <[email-masked] 
> >, Amit Mondal <[email-masked]>
> Subject: Re: AD review: draft-ietf-tcpm-ecnsyn-05
>
> Hi,
>
> thanks for the update. I'll move it back to a WG document in the  
> tracker in this case, and Ted and Mark will figure out what to do  
> with the new version when it comes out.
>
> On 2008-5-27, at 1:45, ext Sally Floyd wrote:
>> We need to modify the mechanism in ECN+ to deal with severely
>> congested networks.  (I fixed a bug in the simulator some time ago,
>> and the result was to uncover a problem with ECN+, in a few cases,
>> in highly congested networks.)   We are rerunning the simulations,
>> and I will let you know as soon as we have a revised version of the
>> draft.  I think we will have to report back to the working group
>> before moving on to the IESG.
>
> Thanks,
> Lars

Begin forwarded message:

> From: [email-masked]
> Date: November 3, 2008 12:30:01 PM PST
> To: [email-masked]
> Cc: [email-masked]
> Subject: [tcpm] I-D Action:draft-ietf-tcpm-ecnsyn-07.txt
>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
> This draft is a work item of the TCP Maintenance and Minor  
> Extensions Working Group of the IETF.
>
>
> 	Title           : Adding Explicit Congestion Notification (ECN)  
> Capability to TCP's SYN/ACK Packets
> 	Author(s)       : S. Floyd, I. Property
> 	Filename        : draft-ietf-tcpm-ecnsyn-07.txt
> 	Pages           : 33
> 	Date            : 2008-11-03
>
> This draft specifies a modification to RFC 3168 to allow TCP SYN/ACK
> packets to be ECN-Capable.  For TCP, RFC 3168 only specifies setting
> an ECN-Capable codepoint on data packets, and not on SYN and SYN/ACK
> packets.  However, because of the high cost to the TCP transfer of
> having a SYN/ACK packet dropped, with the resulting retransmit
> timeout, this document specifies the use of ECN for the SYN/ACK
> packet itself, when sent in response to a SYN packet with the two ECN
> flags set in the TCP header, indicating a willingness to use ECN.
> Setting the initial TCP SYN/ACK packet as ECN-Capable can be of great
> benefit to the TCP connection, avoiding the severe penalty of a
> retransmit timeout for a connection that has not yet started placing
> a load on the network.  The TCP responder (the sender of the SYN/ACK
> packet) must reply to a report of an ECN-marked SYN/ACK packet by
> resending a SYN/ACK packet that is not ECN-Capable.  If the resent
> SYN/ACK packet is acknowledged, then the TCP responder reduces its
> initial congestion window from two, three, or four segments to one
> segment, thereby reducing the subsequent load from that connection on
> the network.  If instead the SYN/ACK packet is dropped, or for some
> other reason the TCP responder does not receive an acknowledgement in
> the specified time, the TCP responder follows TCP standards for a
> dropped SYN/ACK packet (setting the retransmit timer).  This document
> updates RFC 3168.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-tcpm-ecnsyn-07.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

_______________________________________________
tcpm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tcpm

---

From: Lars Eggert <[email-masked]>
Date: Thu, 6 Nov 2008 10:00:56 +0200

On 2008-11-6, at 2:04, ext Sally Floyd wrote:
> before going back to the IESG.

I agree - the changes seem to be substantial.

Lars

---

From: Sally Floyd <[email-masked]>
Date: Tue, 18 Nov 2008 11:32:51 -0800

This is just a reminder that, though I won't be at the tcpm meeting  
today,
we have made a revision to the draft-ietf-tcpm-ecnsyn draft, and it
needs another round of working group review before moving back
to the IESG for the final stages.

"http://tools.ietf.org/html/draft-ietf-tcpm-ecnsyn-07"

Many thanks,
- Sally

Begin forwarded message:

> From: Sally Floyd <[email-masked]>
> Date: November 5, 2008 4:04:56 PM PST
> To: tcpm <[email-masked]>
> Cc: "K. K. Ramakrishnan" <[email-masked]>, Amit Mondal <[email-masked] 
> >, Aleksandar Kuzmanovic <[email-masked]>
> Subject: Re: [tcpm] I-D Action:draft-ietf-tcpm-ecnsyn-07.txt
>

...
> Content-Type: text/plain<BR>Content-ID: &lt;[email-masked] 
> &gt;<BR><BR>
>